% Programm 2.3 Cholesky-Zerlegung a0 = l l^T einer pos.def.,symm. Matrix 
% input:  Matrix a0
% output: untere Dreiecksmatrix l oder l = -1 falls a0 nicht spd
% Aufruf: l = chol_gb1(a0);
function [l] = chol_gb1(a0);
a = a0;
n = length(a(:,1));
if (testpd_gb(a) ~= 1 )
  disp('Matrix nicht symm. bzw. pos. definit');
  l = -1;
  return;
end
% Initialisierung von l 
l = zeros(n,n);
for k=1:n
  l(k,k)=sqrt(a(k,k));
  for i=k+1:n
    l(i,k) = a(i,k)/l(k,k);
	a(i,k+1:i) = a(i,k+1:i) - l(i,k)*l(k+1:i,k)';
  end
end
end
