% Programm 6.1 Simpson-Regel
% zur Berechnung von \int_0^1 fkt61(x) dx
% exakter Wert ist \pi
% input:  Intervallgrenzen a,b, n (2n-1 Stuetzwerte)
% output: Integralwert
% benutztes Programm: fkt61a
% Aufruf: [integralwert] = fassregel_gb1(a,b,n);
function [integralwert] = fassregel_gb1(a,b,n);
h=(b-a)/(2*n);
x = linspace(a+h,a+h*(2*n-1),2*n-1);
summe = 2*sum(fkt61a(x(2:2:2*n-2)).+ 2*fkt61a(x(3:2:2*n-1)));
integralwert = h*(fkt61a(a) + 4*fkt61a(x(1)) + fkt61a(b) + summe)/3;
end
