% Programm 6.2
% Gauss-Tschebyscheff-Quadratur
% \int_a^b fkt61(x) dx 
% input:  Intervallgrenzen a,b, Stuetzstellenzahl n
% output: Wert des Integrals
% benutzte Funktion: fkt61a
% Aufruf: [integralwert] = gausstscheby_gb1(a,b,n)
function [integralwert] = gausstscheby_gb1(a,b,n);
aa = 1:2:2*n-1;
x = cos(aa*pi/(2*n));
t = (b+a)/2 + (b-a)/2.*x;
integral = sum(fkt61a(t(1:n)).*sqrt(1-x(1:n).*x(1:n)));
integralwert = integral*pi*(b-a)/(2*n);
end
