% Programm ito_integral_gb.m : Ito-Integral
%              / 
% Ito Integral | X dW , 
%              /
function wito = ito_integral_gb(X,dW,N);
if ( N < 2 )
  wito = 0 ;
else
  for j = 1:N-1
    ito(j) = sum([0,X(1:j)].*dW(1:j+1)) ;
  end 
  wito = ito(N-1) ;
end
end

