% Programm 9.3b
% Aufbau der Jacobi-Matrix
function [jm]=jacobirwp(y,y0,n,h,lambda,sigma);
jm=zeros(n-1,n-1);
jm(1,1) = lambda*3/h^2+4*sigma*y(1)^3;
for i=2:n-2
   jm(i,i)=lambda*2/h^2+4*sigma*y(i)^3;
end
jm(n-1,n-1)=lambda/h^2+4*sigma*y(n-1)^3;
for i=1:n-2
   jm(i,i+1)=-lambda/h^2;
   jm(i+1,i)=-lambda/h^2;
end
% Ende des Programms
