% Programm 2.2
% Loesung des linearen Gleichungssystems lr x = b
% input:  Matrix a (enthaelt l,r) und Buchhaltungsvektor z
%         als Ergebnis von Programm lr_gb
%         Spaltenvektor b als rechte Seite
% output: Loesung x
% Aufruf: x = lrloes_gb0(a,b,z)
function [x] = lrloes_gb0(a,b,z);
n = length(a(:,1));
% Zeilenvertauschungen, Berechnung von P b
b = b(z);
% Vorwaertseinsetzen l y = P b
for i=1:n
  y(i)=b(i);
  for j=1:i-1
    y(i)=y(i)-a(i,j)*y(j);
  end
end
% Zweiter Schritt r x = y
x(n)=y(n)/a(n,n);
for k=n-1:-1:1
  c=y(k);
  for j=k+1:n
    c = c - a(k,j)*x(j);
  end
  x(k)=c/a(k,k);
end
x=x';
end
