% Programm 5.2 Newton-Interpolation,  
% Berechnung des Polynomwerts p_n(xx) des Newtonschen Interpolations-Polynoms
% fuer die Stuetzpunkte (x_0,y_0),...,(x_n,y_n)
% input:  Vektoren x(1:n+1), y(1:n+1), Stelle xx
% output: Polynomwert p_n(xx)
% Aufruf: fwert = newtonip_gb0(xx,x,y);
function [fwert] = newtonip_gb0(xx,x,y);
n=length(x)-1;
% dividierte Differenzen d_0,d_1,...,d_n
for i=0:n
  d(i+1)=y(i+1);
end
for k=1:n
  for i=n:-1:k
    d(i+1) = (d(i)-d(i+1))/(x(i+1-k)-x(i+1));
  end
end
% Polynomwertberechnung p_n(xx) mit dem Horner-Schema
fwert=d(n+1);
for i=n-1:-1:0
  fwert = d(i+1) + (xx - x(i+1))*fwert;
end
end
