function [f1, f2, f3] = radauIIA_fdae_gb(y,x,t,daetype,parameter)
    C  = parameter(1); % Kapazitaet
    iS = parameter(2); % Sperrsaettigungsstrom
    uT = parameter(3); % Temperaturspannung
    u_input = parameter(4); % Spannung der Spannungsquelle
    i_diode = iS*(exp((x(1)-x(2))/uT)-1.0);
    if strcmp(daetype,'proper') 
        f1 = C*y + i_diode;
        f2 = x(3) - i_diode;
        f3 = x(2) - u_input;
    else
        f1 = C*y(1) + i_diode;
        f2 = x(3) - i_diode;
        f3 = x(2) - u_input;
	end
end
