% Programm 8.5b
% klassisches Runge-Kutta-Verfahren 4. Ordnung
function [y1,y2] = rungek4fsy(x,y,y01,y02,h,n);
yn1 = y01; yn2 = y02; 
y1(1)=y01; y2(1)=y02;
xn = x(1); 
for k=1:n
   yk = y(k);
   k11 = fs1(xn,yn1,yn2);
   k12 = fsy2(xn,yk,yn1,yn2);
   k21 = fs1(xn+0.5*h,yn1+0.5*h*k11,yn2+0.5*h*k12);
   k22 = fsy2(xn+0.5*h,yk,yn1+0.5*h*k11,yn2+0.5*h*k12);
   k31 = fs1(xn+0.5*h,yn1+0.5*h*k21,yn2+0.5*h*k22);
   k32 = fsy2(xn+0.5*h,yk,yn1+0.5*h*k21,yn2+0.5*h*k22);
   k41 = fs1(xn+h,yn1+h*k31,yn2+h*k32);
   k42 = fsy2(xn+h,yk,yn1+h*k31,yn2+h*k32);
   yn1 = yn1 + h*(k11+2.0*k21+2.0*k31+k41)/6.0;
   yn2 = yn2 + h*(k12+2.0*k22+2.0*k32+k42)/6.0;
   xn = x(k+1); y1(k+1)=yn1; y2(k+1)=yn2;
end
% Ende des Programms
end
