% Programm 5.5a zur Bestimmung der 2. Ableitungen
function [ys] = splabl1(x,y,n);
% Interpolation mit echten Splines/Bestimmung der Ableitungen ***
% Benutzung von tridia (Programm 2.4): -c xi-1 + d xi -e xi+1 = b ***
ys(1:n-1) = x(2:n) - x(1:n-1);
c(1:n-2) = -ys(1:n-2);
d(1:n-2) = 2*(ys(1:n-2)+ys(2:n-1));
e(1:n-2) = -ys(2:n-1);
c(1)=0.0; e(n-2)=0.0;
b(1:n-2) = 6*((y(3:n)-y(2:n-1))./ys(2:n-1) - (y(2:n-1)-y(1:n-2))./ys(1:n-2));
% *** Bestimmung der Ableitungen ys(1)...ys(n)
[xs] = tridia_gb(c,d,e,b,n-2);
ys(1)=0;
ys(n)=0;
ys(2:n-1) = xs(1:n-2);
end
