function f = dae_fo_GearPetzold(y,x,t,daetype,parameter)
    eta = parameter;
    if strcmp(daetype,'proper')
        f1 = y + x(2);
        f2 = x(1) + eta*t*x(2) - exp(-t);
    else % daetype = 'classic'
        f1 = y(1) + eta*t*y(2) + (1+eta)*x(2);
        f2 = x(1) + eta*t*x(2) - exp(-t);
    end
    f = [f1 f2];
end
