% Programm 6.1 Simpson-Regel
% zur Berechnung von \int_0^1 fkt61(x) dx
% exakter Wert ist \pi
% input:  Intervallgrenzen a,b, n (2n-1 Stuetzwerte)
% output: Integralwert
% benutztes Programm: fkt61
% Aufruf: [integralwert] = fassregel_gb0(a,b,n);
function [integralwert] = fassregel_gb0(a,b,n);
h=(b-a)/(2*n);
for j=1:2*n-1
  x(j)=a + j*h;
end
summe = 0.0;
for k=1:n-1
  k2 = k+k; k3 = k2+1;
  summe = summe + fkt61(x(k2)) + 2*fkt61(x(k3));
end
summe = summe + summe;
integralwert = h*(fkt61(a) + 4*fkt61(x(1)) + fkt61(b) + summe)/3;
end
