% Programm 6.2
% Gauss-Tschebyscheff-Quadratur
% \int_a^b fkt61(x) dx 
% input:  Intervallgrenzen a,b, Stuetzstellenzahl n
% output: Wert des Integrals
% benutzte Funktion: fkt61
% Aufruf: [integralwert] = gausstscheby_gb0(a,b,n)
function [integralwert] = gausstscheby_gb0(a,b,n);
integral=0;
for j=1:n
   x(j)=cos(((2*j-1)*pi)/(2*n));
%  Transformation der Integrationsgrenzen von [a,b] auf [-1,1]
   t(j) = (b+a)/2 + x(j)*(b-a)/2;
   integral=integral+fkt61(t(j))*sqrt(1-x(j)*x(j));
end
integralwert = integral*pi*(b-a)/(2*n);
end
