% Programm 7.4 zur Jacobi-Iteration (jacobiit_gb.m)
% input:  Diagonalen l,d,u der Koeffizientenmatrix a, l(1) und u(n) sind dummy-Werte
%         rechte Seite b
% output: Loesung x
% Aufruf: [x] = jacobiit_gb2(l,d,u,b)
function [x] = jacobiit_gb2(l,d,u,b);
xdiff = 1; xnorm = 1; it = 0; n = length(d); x(1:n) = 0.0;
while (xdiff/xnorm > 10^(-10))
   xneu(1) = (b(1) - u(1)*x(2))/d(1);
   xneu(2:n-1) = (b(2:n-1) - l(2:n-1).*x(1:n-2) - u(2:n-1).*x(3:n))./d(2:n-1);
   xneu(n) = (b(n) - l(n)*x(n-1))/d(n);
   xdiff = norm(xneu-x);
   x = xneu;
   xnorm = norm(x);
   if (xnorm == 0)
      xnorm = 1;
   end
   it = it + 1;
end
it
end
