% Programm 9.2a
% Aufbau der Gleichungen
function [grwp] = gleichungrwp(y,y0,n,h,lambda,sigma,q);
grwp = zeros(n-1,1);
grwp(1)=lambda*(3*y(1)-y(2)-2*y0)/h^2 + sigma*y(1)^4;
for i=2:n-2
   grwp(i)=lambda*(2*y(i)-y(i+1)-y(i-1))/h^2 + sigma*y(i)^4;
endfor
grwp(n-1)=lambda*(y(n-1)-y(n-2))/h^2 + q/h + sigma*y(n-1)^4;
endfunction
% Programm 9.2b
% Aufbau der Jacobi-Matrix
function [jm]=jacobirwp(y,y0,n,h,lambda,sigma);
jm=zeros(n-1,n-1);
jm(1,1) = lambda*3/h^2+4*sigma*y(1)^3;
for i=2:n-2
   jm(i,i)=lambda*2/h^2+4*sigma*y(i)^3;
end
jm(n-1,n-1)=lambda/h^2+4*sigma*y(n-1)^3;
for i=1:n-2
   jm(i,i+1)=-lambda/h^2; jm(i+1,i)=-lambda/h^2;
end
end
