% Programm 8.1  (ruku4_gb.m)
% zur Loesung von gew. DGL 1. Ordnung y'=f(x,y), y(x0)=y0
% klassisches Runge-Kutta-Verfahren 4. Ordnung
% input:  Schrittweite h, Intervallgrenzen x0,x1, Anfangswert y0=y(x0) 
% output: Loesung y(x) an den Punkten x
% benutztes Programm: Nutzerfunktion f (rechte Seite der Dgl.)
% Aufruf: [y,x] = ruku4_gb(x0,x1,y0,h);
function [y,x] = ruku4_gb(x0,x1,y0,h);
n = (x1 - x0)/h;
yn = y0; y(1)=y0;
xn = x0; x(1)=x0; 
for k=1:n
   k1 = f(xn,yn);
   k2 = f(xn+0.5*h,yn+0.5*h*k1);
   k3 = f(xn+0.5*h,yn+0.5*h*k2);
   k4 = f(xn+h,yn+h*k3);
   yn = yn + h*(k1+2.0*k2+2.0*k3+k4)/6.0;
   xn = xn+h; x(k+1)=xn; y(k+1)=yn;
end
end
