% Programm 8.4 zur Loesung eines Zweipunkt-Randwertproblmes (rwp2p2_gb.m)
% -(la(x)y')' + k(x)y = c(x),\; y'(a)=eta0, y(b)=eta1
% vorzugeben: a, b, eta0, eta1, n
% input:  Intervallgrenzen a,b, Randwerte eta0, eta1, n=(b-a)/h
% output: Loesung yy(x) an den Stellen x
% Benutzung der Programme tridia (Programm 2.4), la, k, c
% Aufruf: [yy,x] = rwp2p2_gb1(a,b,eta0,eta1,n);
function [yy,x] = rwp2p2_gb1(a,b,eta0,eta1,n);
h = (b-a)/n;
x = linspace(a,b,n+1);
% x(1)=a;
% for i=1:n
%    x(i+1)=x(1)+i*h;
% end
xp = linspace(a+0.5*h,b-0.5*h,n);
% for i=1:n
%   xp(i)=x(i)+0.5*h;
% end
xpp1 = shift(xp,-1);
dx = zeros(n-1);
dx = xpp1 - xp;
% for i=1:n-1
%   dx(i)=xp(i+1)-xp(i);
% end
xp1 = shift(x,-1);
dxp = zeros(n);
dxp = xp1 - x;
% for i=1:n
%    dxp(i)=x(i+1)-x(i);
% end
dd(1) = la(xp(2))/(dxp(2)*dx(1))+k(x(2));
% Aufbau der Matrix und der rechten Seite
cc(1) = 0;
for i=2:n-1
   dd(i) = la(xp(i+1))/(dxp(i+1)*dx(i))+la(xp(i))/(dxp(i)*dx(i))+k(x(i+1));
   cc(i) = la(xp(i))/(dxp(i)*dx(i));
end
for i=1:n-2
   ee(i) = la(xp(i+1))/(dxp(i+1)*dx(i));
end
ee(n-1) = 0; 
bb(1) = c(x(2))+eta0*la(xp(1))/dx(1);
for i=2:n-2
   bb(i) = c(x(i+1));
end
bb(n-1) = c(x(n))+eta1*la(xp(n))/(dxp(n)*dx(n-1));
% Loesung
y = tridia_gb(cc,dd,ee,bb,n-1);
yy(1) = y(1)-dxp(1)*eta0;
for i=2:n
   yy(i) = y(i-1);
end
yy(n+1) = eta1;
end
