% Programm 5.5a zur Bestimmung der 2. Ableitungen
function [ys] = splabl0(x,y,n);
% Interpolation mit echten Splines/Bestimmung der Ableitungen ***
% Benutzung von tridia (Programm 2.4): -c xi-1 + d xi -e xi+1 = b ***
for i=1:n-1
   ys(i)=x(i+1)-x(i);
end
for i=2:n-1
   c(i-1)=-ys(i-1);
   d(i-1)=2*(ys(i-1)+ys(i));
   e(i-1)=-ys(i);
end
c(1)=0.0; e(n-2)=0.0;
for i=2:n-1
   b(i-1)=6*((y(i+1)-y(i))/ys(i)-(y(i)-y(i-1))/ys(i-1));
end
% *** Bestimmung der Ableitungen ys(1)...ys(n)
[xs] = tridia_gb(c,d,e,b,n-2);
ys(1)=0;
ys(n)=0;
for i=2:n-1
   ys(i)=xs(i-1);
end
end
