% Programm 5.5 zur Berechnung eines kubischen Splines
% Berechnung des Wertes s(xx) eines kubischen Splines
% fuer die Stuetzpunkte (x_0,y_0),...,(x_n,y_n)
% input:  Vektoren x(1:n), y(1:n), Stelle xx
% output: Wert des Splines s(xx)
% berechnet wird ein interpolierender Spline
% benutzte Funktionen: splabl, splber
% aufruf: fwert = spline_gb0(xx,x,y);
function [fwert] = spline_gb0(xx,x,y);
n=length(x);
ys = splabl0(x,y,n);
ys
fwert = splber(xx,x,y,ys,n);
end
