% Programm 5.5a Grafik eines kubischen Splines
% benutzte Funktionen: splabl, splber
% aufruf: spline_grafik0;
function spline_grafik0;
x = [0,1,2,3,4];
y = [1,3,2,5,6];
n=length(x);
ys = splabl1(x,y,n);
%
n=5;
for k=1:n-1
	for j=1:21
		xf(k,j) = x(k) + (j-1)*(x(k+1)-x(k))/20;
	end
end
for k=1:n-1
	for j=1:21
		f(k,j) = splber(xf(k,j),x,y,ys,n);
	end
end
%
hf = figure(1)
k=1;
plot(xf(k,:),f(k,:),'r','Linewidth',3)
h=get(gcf, "currentaxes");
set(h, "fontsize", 12, "linewidth", 2);
set(gca,'linewidth',3,'Fontsize',16);
hold on
k=2;
plot(xf(k,:),f(k,:),'b','Linewidth',3)
k=3;
plot(xf(k,:),f(k,:),'g','Linewidth',3)
k=4;
plot(xf(k,:),f(k,:),'m','Linewidth',3)
ny = ylabel('{\bf s_3(x)}')
set(ny,'Fontsize',17)
nx = xlabel('{\bf x}')
set(nx,'Fontsize',17)
% nt = title('Kubischer interpolierender Spline zu den Knoten x_0,..,x_4')
% set(nt,'FontSize',16)
nl = legend('p_0','p_1','p_2','p_3')
set(nl,'Fontsize',17)
set (hf, "visible", "off");
print (hf, "spline_s3.png")
% , "-dpnglatexstandalone");
set (hf, "visible", "on");
system ("spline_s3");
open ("spline_s3.png");
hold off
hf = figure(2)
plot(x(1:2),y(1:2),'r','Linewidth',3)
h=get(gcf, "currentaxes");
set(h, "fontsize", 12, "linewidth", 2);
set(gca,'linewidth',3,'Fontsize',16);
hold on
plot(x(2:3),y(2:3),'b','Linewidth',3)
plot(x(3:4),y(3:4),'g','Linewidth',3)
plot(x(4:5),y(4:5),'m','Linewidth',3)
ny = ylabel('{\bf s_1(x)}')
set(ny,'Fontsize',17)
nx =  xlabel('{\bf x}')
set(nx,'Fontsize',17)
% nt = title('Linearer interpolierender Spline zu den Knoten x_0,..,x_4')
% set(nt,'FontSize',16)
nl = legend('p_0','p_1','p_2','p_3')
set(nl,'Fontsize',17)
set (hf, "visible", "off");
print (hf, "spline_s1.png")
% , "-dpnglatexstandalone");
set (hf, "visible", "on");
system ("spline_s1");
open ("spline_s1.png");
hold off
end
