t0 = 0; % Anfangszeitpunkt
tf = 6.0; % Endzeitpunkt
h = 1e-2; % Schrittweite
x0 = [0.0 1.0]; % Anfangswert für t0
x1 = [sin(h) cos(h)]; % Anfangswert für t1=t0+h

[x, t] = bdf2_gbo(t0,tf,x0,x1,h); % 2-schrittiges BDF-Verfahren

plot(t,x(:,1)) % Plot der ersten Komponente der Lösung x
hold
plot(t,x(:,2)) % Plot der zweiten Komponente der Lösung x
